Bug 1827 - Модуль nvidia не инициализируется при входе в Х-ы
: Модуль nvidia не инициализируется при входе в Х-ы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nvidia_glx_common)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-06 09:39 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-06 09:39:30
Проблема обнаружилась после инталляции дистрибутива Мастер-2.2beta, ядро
2.4.20.... 
Установив флаг \"загружать Х-ы при загрузки Linux\", осуществлена
перезагрузка системы.
Х-ы не загрузились (после большого числа попыток системы), и при этом процесс
respawned. Респавн был прерван системой.

Log от startx выдает \"cannot initialize nvidia module\"

\"modprobe nvidia\" Грузит модуль, но при этом ругается \"non
GPL module\"... \" module loaded with warnings\". В этих
условиях Х-ы загружаются и работают.

Локально в системе проблему удалось решить помещением \"nvidia\" в
/etc/modules, т.е. для предзагрузки.

Вероятная проблема (догадка): modprobe или др. загрузчик выдает \"nonGPL
warning\" как код ошибки Х-ам.

Решение (здесь я не спец): нестроить ядро на игнорирование nonGPL.





---

---
------- Comment #1 From 2003-01-06 12:03:26 -------
Решение: добавить в /etc/modules.conf строку alias char-major-195 nvidia
------- Comment #2 From 2003-01-06 12:03:26 -------
Решение: добавить в /etc/modules.conf строку alias char-major-195 nvidia
------- Comment #3 From 2003-01-10 01:26:29 -------
Реальная проблема: при каких-то условиях не модифицируется /etc/modules.conf.

У меня при экспериментах туда нужный

alias char-major-195 nvidia

попал, но с пакетом этого, кажется, не наблюдается.


Переименование актуально для 1.0-4191 и выше AFAIK.
------- Comment #4 From 2003-01-10 01:26:29 -------
Реальная проблема: при каких-то условиях не модифицируется /etc/modules.conf.

У меня при экспериментах туда нужный

alias char-major-195 nvidia

попал, но с пакетом этого, кажется, не наблюдается.


Переименование актуально для 1.0-4191 и выше AFAIK.
------- Comment #5 From 2004-05-05 16:51:16 -------
перевешено 
 
------- Comment #6 From 2004-05-05 19:02:56 -------
fixed